<h2 class="text-uppercase"><%= params[:lot] %></h2>
<%= form_with model: post, local: true do |form| %>

  <div class="form-group">
    <%#= form.label :หวย, style: "display: block" %>
    <%#= form.select :lottery_id, LotteryTopic.pluck(:title), {selected: params[:lot]}, {class: "form-control"} %>
    <%= form.hidden_field :lottery_id, value: params[:lot] %>
    <%#= form.hidden_field :status, value: LotteryTime.set_round(@lottery_topic.lottery_times, @lottery_topic.lottery_dates) %>
  </div>

  <div class="form-group">
    <%= form.label :สามตัว, style: "display: block" %>
    <%= form.text_field :three, class: 'form-control' %>
    <% post.errors.full_messages_for(:three).each do |error_message| %>
      <div class="text-red">
        <%= error_message.sub("Three","") %>
      </div>
    <% end %>
  </div>

  <div class="form-group">
    <%= form.label :บน, style: "display: block" %>
    <%= form.text_field :top, class: 'form-control' %>
    <% post.errors.full_messages_for(:top).each do |error_message| %>
      <div class="text-red">
        <%= error_message.sub("Top","") %>
      </div>
    <% end %>
  </div>

  <div class="form-group">
    <%= form.label :ล่าง, style: "display: block" %>
    <%= form.text_field :bottom, class: 'form-control' %>
    <% post.errors.full_messages_for(:bottom).each do |error_message| %>
      <div class="text-red">
        <%= error_message.sub("Bottom","") %>
      </div>
    <% end %>
  </div>


  <div class="form-group">
    <%= form.label :บันทึก, style: "display: block" %>
    <%= form.text_field :note, class: 'form-control' %>
  </div>

  <div class="form-group">
    <%= form.label :สถานะ, style: "display: block" %>
    <%= form.select :status,
      LotteryTime.create_round_hash(@lottery_topic.lottery_times),
      {},
      {class: "form-control"}
    %>
  </div>

  <div>
    <%= form.submit 'บันทึก', class: 'btn btn-primary' %>
  </div>
<% end %>
